.v-category-tab {
    --v-separator-height: 16px;
    --v-separator-margin: 24px;
    --v-separator-color: #ddd;
    --v-button-height: auto;
    --v-tab-button-padding-bottom: 18px 17px;
    --v-tab-button-font-size: 20px;
    --v-tab-button-color: #6d6d6d;
    --v-category-navigation-border-bottom-color: #eee;
    padding-block: var(--v-tab-button-padding-bottom);
    border-bottom: 1px solid var(--v-category-navigation-border-bottom-color);
    line-height: var(--v-button-line-height, 1.3);
    font-size: var(--v-button-font-size, 12px);
    font-weight: var(--v-button-font-weight, 400);
    color: var(--v-button-color, #929292);
}

.v-category-tab .v-tab-button:hover {
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1px;
}

.v-category-tab .v-tab-button::before {
    flex-shrink: 0;
}

.v-category-nav {
    --swiper-pagination-area-height: 0;
    --v-tab-padding: 18px;
    --v-button-height: 22px;
    --v-nav-border: 1px;
    padding-inline: var(--v-space-8);
    background-color: #f6f6f6;
}

.v-category-nav swiper-slide {
    width: auto !important;
}

.v-category-nav__line {
    padding-block: var(--v-tab-padding) calc(var(--v-tab-padding) - var(--v-nav-border));
    border-bottom: var(--v-nav-border) solid #eee;
}

.v-category-nav__line:not(:only-child):last-child {
    --v-nav-border: 0px;
}

.v-category-nav__line .v-button {
    --v-button-text-color: #6d6d6d;
    --v-button-line-height: 1.3;
}

.v-category-nav__btn:hover {
    text-decoration: underline;
    text-underline-offset: 3px;
}

.v-category-nav__btn[aria-selected=true] {
    font-weight: 600;
    --v-button-text-color: #000;
    --v-button-font-weight: var(--v-tab-button-font-weight-selected, 900);
}

.v-category-nav-custom {
    --v-button-height: 48px;
    margin-inline: var(--v-side-margin);
    padding-block: 24px;
    display: flex;
    gap: 8px;
}

.v-category-nav-custom__item[aria-selected=true] {
    --v-button-border-width: 1px;
}

.v-category-nav-custom__item[aria-selected=true]:hover {
    text-decoration: none;
}

.v-category-nav-custom__list {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    max-height: var(--v-button-height);
    overflow: hidden;
    transition: max-height 0.3s ease;
}

#categoryNavToggle:checked ~ .v-category-nav-custom__list {
    max-height: none;
}

.v-category-nav-custom__toggle {
    cursor: pointer;
    align-self: flex-start;
    display: flex;
    padding: 11px;
    font-size: 18px;
    border: 1px solid #000;
}

.v-category-nav-custom__toggle svg {
    width: 24px;
    height: 24px;
    transition: opacity 0.2s ease;
}

.v-category-nav-custom__toggle .v-toggle-minus {
    display: none;
}

#categoryNavToggle:checked ~ .v-category-nav-custom__toggle .v-toggle-plus {
    display: none;
}

#categoryNavToggle:checked ~ .v-category-nav-custom__toggle .v-toggle-minus {
    display: inline;
}

.v-category-nav-custom .v-category-nav-custom__item {
    --v-button-padding: 13px 32px;
    --v-button-background-color: #f6f6f6;
}

.v-category-nav-custom .v-category-nav-custom__item:hover {
    text-decoration: underline;
    text-underline-offset: 2px;
}

.v-category-nav-custom .v-category-nav-custom__item span {
    --v-button-font-size: 16px;
    --v-button-line-height: 1.3;
    color: #000;
    margin-bottom: -1px;
}

.v-category:not(:has(.v-top-html-banner)) .v-page-head, .v-category:has(.v-top-html-banner, :not(.v-category-nav-custom)) .v-page-head {
    margin-bottom: var(--v-space-5);
}

.v-category .v-page-head:not(:has(.v-breadcrumb)), .v-category .v-page-head:has(.v-breadcrumb):not(:has(.v-breadcrumb li)) {
    padding-top: var(--v-category-breadcrumb-height, 48px);
}

.v-category .v-page-body {
    margin-bottom: 60px;
}

.v-category .v-tmpl--img-quicklink {
    --v-media-fit: cover;
    --v-quick-link-gap: 12px;
}

.v-category .v-tmpl--img-quicklink:not(:has(.v-title)) {
    --v-quick-link-padding-top: 40px;
}

.v-category .v-tmpl--img-quicklink .v-carousel::part(root) {
    padding-top: var(--v-quick-link-padding-top, 0);
}

.v-category .v-tmpl--img-quicklink .v-quick-link__text {
    white-space: initial;
    display: -webkit-box !important;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.v-category .v-top-html-banner {
    margin-bottom: 40px;
}

.v-category .v-top-brand-banner .v-carousel {
    --swiper-navigation-top-offset: calc(
            50% - var(--swiper-pagination-area-height, 82px) / 2
    );
}

.v-category .v-top-brand-banner__image {
    display: block;
    width: 100%;
    height: auto;
}

.v-category .v-page-list {
    margin-inline: var(--v-side-margin);
    margin-bottom: var(--v-space-8);
}

.v-category:has(.pagination) .v-page-list {
    margin-bottom: calc(62px - var(--v-product-colors-margin-block-end));
}

.v-category .v-page-list + .pagination {
    margin-bottom: 100px;
}

.v-category .v-page-body__no-data {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - var(--v-site-header-height));
}

.v-category .v-search-result__no-data {
    --v-well-padding: 32px 40px;
    --v-well-side-margin: 40px;
    margin-block: 20px 80px;
}

.v-category .v-search-result__no-data p,
.v-category .v-search-result__no-data a {
    font-size: 16px;
}

.v-category .v-search-result__no-data .link {
    display: inline-flex;
    margin-top: 8px;
    color: #6d6d6d;
}

.v-category .v-search-result__no-data .link::after {
    content: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="17" viewBox="0 0 16 17" fill="none"><path d="M6 4.5L11 8.5L6 12.5" stroke="%236D6D6D"/></svg>');
    display: inline-block;
    margin-left: 4px;
    position: relative;
    top: 1px;
}

.v-page-head__title {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: var(--v-brand-title-font-size, 36px);
    line-height: var(--v-brand-title-line-height, 1.3);
}